Bug 27521 - Adding new itemtype headset image for carredart
Summary: Adding new itemtype headset image for carredart
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-21 22:55 UTC by Ava
Modified: 2022-06-06 20:25 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement adds a headset image to the carredart icon set for item types.
Version(s) released in:
21.11.00


Attachments
Bug 27521: Add new item type headset image for carredart (2.19 KB, patch)
2021-01-21 23:00 UTC, Ava
Details | Diff | Splinter Review
Bug 27521: (follow-up) Add copy of image to carredart icons in the OPAC (2.03 KB, patch)
2021-01-22 17:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27521: Add new item type headset image for carredart (2.25 KB, patch)
2021-01-25 11:38 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27521: (follow-up) Add copy of image to carredart icons in the OPAC (2.10 KB, patch)
2021-01-25 11:38 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27521: (follow-up) Adding new itemtype headset image for carredart (5.70 KB, patch)
2021-07-16 23:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27521: Add new item type headset image for carredart (2.29 KB, patch)
2021-07-28 20:36 UTC, David Nind
Details | Diff | Splinter Review
Bug 27521: (follow-up) Add copy of image to carredart icons in the OPAC (2.14 KB, patch)
2021-07-28 20:36 UTC, David Nind
Details | Diff | Splinter Review
Bug 27521: (follow-up) Adding new itemtype headset image for carredart (5.75 KB, patch)
2021-07-28 20:37 UTC, David Nind
Details | Diff | Splinter Review
Bug 27521: Add new item type headset image for carredart (2.36 KB, patch)
2021-08-18 09:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27521: (follow-up) Add copy of image to carredart icons in the OPAC (2.20 KB, patch)
2021-08-18 09:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27521: (follow-up) Adding new itemtype headset image for carredart (5.82 KB, patch)
2021-08-18 09:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27521: Add new item type headset image for carredart (3.71 KB, patch)
2021-08-18 11:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27521: Add new item type headset image for carredart (3.78 KB, patch)
2021-08-18 12:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ava 2021-01-21 22:55:20 UTC

    
Comment 1 Ava 2021-01-21 23:00:13 UTC
Created attachment 115641 [details] [review]
Bug 27521: Add new item type headset image for carredart

TEST PLAN:
1) Go to administration
2) Go to item types
3) Click edit on one of the item types
4) Go to the category "carredart"
5) Check that there is a small headset icon
Comment 2 Katrin Fischer 2021-01-21 23:19:16 UTC
As the itemtype images can be displayed in the OPAC and in the staff interface we currently need to add them in 2 places as one cannot access the image files of the other.

Can you also add the files to
koha-tmpl/opac-tmpl/bootstrap/itemtypeimg/carredart please?
Comment 3 Owen Leonard 2021-01-22 17:48:53 UTC
Created attachment 115708 [details] [review]
Bug 27521: (follow-up) Add copy of image to carredart icons in the OPAC
Comment 4 PTFS Europe Sandboxes 2021-01-25 11:38:10 UTC
Created attachment 115747 [details] [review]
Bug 27521: Add new item type headset image for carredart

TEST PLAN:
1) Go to administration
2) Go to item types
3) Click edit on one of the item types
4) Go to the category "carredart"
5) Check that there is a small headset icon

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 5 PTFS Europe Sandboxes 2021-01-25 11:38:13 UTC
Created attachment 115748 [details] [review]
Bug 27521: (follow-up) Add copy of image to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 6 Sally 2021-01-25 11:39:02 UTC
Works as described.

Test Plan
1. Go to Administration>item types>modify item type
2. There should be a headset item type under the carredart
3. Modify the item type so the headset icon is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and OPAC
Comment 7 Katrin Fischer 2021-01-26 21:36:05 UTC
Hi, please see comment on bug 27522 too.
Can you please clear up where the icon was taken from before we add it to Koha?
Comment 8 Owen Leonard 2021-07-16 23:27:51 UTC
Created attachment 122932 [details] [review]
Bug 27521: (follow-up) Adding new itemtype headset image for carredart

This patch adds new version of the image which was created based on a
CC0-licensed public domain image:

https://commons.wikimedia.org/wiki/File:Headphones_(17471)_-_The_Noun_Project.svg
Comment 9 David Nind 2021-07-28 20:36:53 UTC
Created attachment 123272 [details] [review]
Bug 27521: Add new item type headset image for carredart

TEST PLAN:
1) Go to administration
2) Go to item types
3) Click edit on one of the item types
4) Go to the category "carredart"
5) Check that there is a small headset icon

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: David Nind <david@davidnind.com>
Comment 10 David Nind 2021-07-28 20:36:59 UTC
Created attachment 123273 [details] [review]
Bug 27521: (follow-up) Add copy of image to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 David Nind 2021-07-28 20:37:05 UTC
Created attachment 123274 [details] [review]
Bug 27521: (follow-up) Adding new itemtype headset image for carredart

This patch adds new version of the image which was created based on a
CC0-licensed public domain image:

https://commons.wikimedia.org/wiki/File:Headphones_(17471)_-_The_Noun_Project.svg

Signed-off-by: David Nind <david@davidnind.com>
Comment 12 Katrin Fischer 2021-08-18 09:16:37 UTC
Created attachment 123927 [details] [review]
Bug 27521: Add new item type headset image for carredart

TEST PLAN:
1) Go to administration
2) Go to item types
3) Click edit on one of the item types
4) Go to the category "carredart"
5) Check that there is a small headset icon

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2021-08-18 09:16:42 UTC
Created attachment 123928 [details] [review]
Bug 27521: (follow-up) Add copy of image to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2021-08-18 09:16:46 UTC
Created attachment 123929 [details] [review]
Bug 27521: (follow-up) Adding new itemtype headset image for carredart

This patch adds new version of the image which was created based on a
CC0-licensed public domain image:

https://commons.wikimedia.org/wiki/File:Headphones_(17471)_-_The_Noun_Project.svg

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2021-08-18 09:21:01 UTC
The question here is which icon to keep - I like Owen's a little better as it's not as heavy and matches the style of the other carredart icons a little better.

But then we should possibly only add his to the repo and remove the first 2 patches?

Owen, could you provide your icon as a 'only' patch?
Comment 16 Owen Leonard 2021-08-18 11:28:35 UTC
Created attachment 123939 [details] [review]
Bug 27521: Add new item type headset image for carredart

The image added by this patch was created based on a CC0-licensed public
domain image:

https://commons.wikimedia.org/wiki/File:Headphones_(17471)_-_The_Noun_Project.svg

TEST PLAN:
1) Go to administration
2) Go to item types
3) Click edit on one of the item types
4) Go to the category "carredart"
5) Check that there is a small headset icon

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 17 Katrin Fischer 2021-08-18 12:42:27 UTC
Created attachment 123955 [details] [review]
Bug 27521: Add new item type headset image for carredart

The image added by this patch was created based on a CC0-licensed public
domain image:

https://commons.wikimedia.org/wiki/File:Headphones_(17471)_-_The_Noun_Project.svg

TEST PLAN:
1) Go to administration
2) Go to item types
3) Click edit on one of the item types
4) Go to the category "carredart"
5) Check that there is a small headset icon

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Jonathan Druart 2021-08-18 14:23:07 UTC
Based on bug 27522 comment 22 I have decided to restore the original version of the icon
Comment 19 Jonathan Druart 2021-08-18 14:31:34 UTC
Pushed to master for 21.11, thanks to everybody involved!